org.eclipse.jetty.jndi.java

## Class javaURLContextFactory

- java.lang.Object
- - org.eclipse.jetty.jndi.java.javaURLContextFactory

- All Implemented Interfaces:
    ObjectFactory

      public class javaURLContextFactory
      extends Object
      implements ObjectFactory

  javaURLContextFactory

  This is the URL context factory for the java: URL.

  #### Notes

  #### Usage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `javaURLContextFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getObjectInstance(Object url, Name name, Context ctx, Hashtable env)` Either return a new context or the resolution of a url.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### javaURLContextFactory

          public javaURLContextFactory()

  - ### Method Detail

    - #### getObjectInstance

          public Object getObjectInstance(Object url,
                                 Name name,
                                 Context ctx,
                                 Hashtable env)
                                   throws Exception

      Either return a new context or the resolution of a url.
      Specified by:
        `getObjectInstance` in interface `ObjectFactory`
      Parameters:
        `url` - an `Object` value
        `name` - a `Name` value
        `ctx` - a `Context` value
        `env` - a `Hashtable` value
      Returns:
        a new context or the resolved object for the url
      Throws:
        `Exception` - if an error occurs

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.